{****************************************************************************

  Application :-  Fin_Calc.exe (Financial Calculator - a business utility
                  program)

  Version     :-  2.30 for Delphi versions 6, 5, 4 & 3.
                  (updated Oct/2001)

  Author      :-  Leo D. Shih  <ldshih@ecn.ab.ca>

  Copyright   :-  (C)1999/2001 by Leo D. Shih, All rights reserved

  ===========================================================================

  DISCLAIMER
  ----------
  Fin_Calc.exe is currently distributed as Freeware, and there is no
  warranty of any kind, either expressed or implied.  In noevent shall
  the author be liable for any problems or demages that may result
  from the use of this program.

  ===========================================================================

  Brief Description
  -----------------
  Fin_Calc.exe is a Financial Calculator, that calculates various types of
  time-dependent financial transactions, related to :
  1.  Mortgage (Regular payment & Detailed payment schedule);
  2.  Loan (Payment, Principal  & Term of Loans);
  3.  Investment  (Final Value, Initial Principal, Interest Rate & Investment
      term of Term Deposits);
  4.  Annuity with Withdrawals (Principal, Withdrawal amount, & number of
      withdrawals);
  5.  Annuity with Deposits (Final Value, Regular deposits & Annuity term).

  Context sensitive Help File (Fin_Calc.hlp) is included.

  ===========================================================================

  Programming Notes
  -----------------
  The attached Fin_Calc.exe was compiled by Delphi 6 with binary DFM files,
  thus it will be backwards compatible with previous versions of Delphi.
  If you want to re-compile it under D5, D4 or D3, just load all files
  (including Fin_Calc.dpr, Fc_Unit1.pas, Fc_Unit2.pas) into Delphi's
  IDE before rebuilding it.  However, you may encounter error messahes,
  because some of properties on Fc_Form1, AboutBox are not available in
  previouse versions of Delphi.  Under the circumstances, just ignore all
  error messages and proceed with re-compiling.

*****************************************************************************}

program Fin_calc;

uses
  Forms,
  Fc_unit1 in 'FC_UNIT1.PAS' {Fc_Form1},
  Fc_unit2 in 'FC_UNIT2.PAS' {AboutBox};

{$R *.RES}

begin
  Application.Title := 'Fin_Calc';
  Application.HelpFile := 'FIN_CALC.HLP';
  Application.CreateForm(TFc_Form1, Fc_Form1);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.Run;
end.

